Skip to main content
GET
/
analytics
/
overview
Get analytics overview data
curl --request GET \
  --url https://api.livesuite.app/analytics/overview \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "globalStats": {
      "totalStreamers": 6495,
      "liveStreamers": 2516,
      "totalViewers": 6621,
      "avgSessionDuration": 118347,
      "longestActiveSession": 2287338,
      "sessionsToday": 3004,
      "totalStreamingTime": 169067144,
      "currentActiveTime": 559563611,
      "trackingStartDate": "2025-09-17T08:06:19.895Z",
      "timestamp": "2025-10-13T19:28:38.330Z"
    },
    "liveMetrics": {},
    "timestamp": "2025-10-13T19:28:38.330Z"
  },
  "cached": true,
  "precomputed": true
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Query Parameters

chain
enum<string>
default:solana

Blockchain chain (solana for PumpFun, base for Zora/Retake, all for aggregated data from all)

Available options:
solana,
base,
all
platform
enum<string>
default:pumpfun

Platform (pumpfun for Solana, zora/retake for Base, all for aggregated data from all)

Available options:
pumpfun,
zora,
retake,
all

Response

Analytics overview including global stats and live metrics

success
boolean
Example:

true

data
object
cached
boolean

Whether the response was served from cache

Example:

true

precomputed
boolean

Whether the response was pre-computed by background job

Example:

true